/*
*  Copyright:    Copyright (c) 2001 Global InfoTek, Inc.
*  Author:       Cynthia Cicalese
*  Date:         December, 2001
*  Company:      Global InfoTek, Inc.
*  Description:  Client for sensor database graphical user interface
*
********************************************************************************
* This code is the exclusive property of Global InfoTek Inc. and may not
* be used for any purpose without the written permission of Global
* InfoTek, Inc.
********************************************************************************
* Revision History
*/

package tutorial;

import java.sql.SQLException;

public class SensorDBClient {

  public static void main(String[] args) throws InitializationException,
    SQLException {
    if (args.length < 1) {
      System.out.println("Syntax: java SensorDBClient dbName");
      System.exit(-1);
    }
    SensorDB sensorDB = new SensorDB(args[0]);
    SensorGUI gui = new SensorGUI(sensorDB);
    gui.pack();
    gui.setVisible(true);
  }
}
